<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: sdio_cmd struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>sdio_cmd Struct Reference<br>
<small>
[<a class="el" href="group__fdriver.html">SDIO function driver API</a>]</small>
</h1><code>#include &lt;<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a>&gt;</code>
<p>
<table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top><a class="el" href="structsdio__dev.html">sdio_dev</a> *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o0">owner</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void(*&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o1">callback</a> )(struct <a class="el" href="structsdio__cmd.html">sdio_cmd</a> *cmd)</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>unsigned&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o2">flags</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="el" href="structsdio__cmd__resp.html">sdio_cmd_resp</a>&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o3">sdio</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top><a class="el" href="structcspi__cmd__resp.html">cspi_cmd_resp</a>&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o4">cspi</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint8_t *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o5">data</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>size_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o6">len</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>enum <a class="el" href="group__fdriver.html#ga39">sdio_cmd_status</a>&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o7">status</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>void *&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structsdio__cmd.html#o8">priv</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
An SDIO command, its status and response.<p>
sdio_cmd is used to submit SDIO commands to a device and return its status and any response or data. 
<p>
<hr><h2>Field Documentation</h2>
<a class="anchor" name="o1" doxytag="sdio_cmd::callback" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void(* <a class="el" href="structsdio__cmd.html#o1">sdio_cmd::callback</a>)(struct <a class="el" href="structsdio__cmd.html">sdio_cmd</a> *cmd)
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Called by the core when the command has been completed.<p>
Called in: interrupt context.<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign=top><em>cmd</em>&nbsp;</td><td>the completed command. </td></tr>
  </table>
</dl>
    </td>
  </tr>
</table>
<a class="anchor" name="o4" doxytag="sdio_cmd::cspi" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> struct <a class="el" href="structcspi__cmd__resp.html">cspi_cmd_resp</a> <a class="el" href="structsdio__cmd.html#o4">sdio_cmd::cspi</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
CSPI command parameters and response.<p>
Valid only if <a class="el" href="group__fdriver.html#ga37">SDD_CMD_FLAG_CSPI</a> is set in <a class="el" href="structsdio__cmd.html#o2">flags</a>.     </td>
  </tr>
</table>
<a class="anchor" name="o5" doxytag="sdio_cmd::data" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint8_t* <a class="el" href="structsdio__cmd.html#o5">sdio_cmd::data</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Buffer of data to read or write.<p>
Must be set to NULL if the command is not a data transfer.     </td>
  </tr>
</table>
<a class="anchor" name="o2" doxytag="sdio_cmd::flags" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> unsigned <a class="el" href="structsdio__cmd.html#o2">sdio_cmd::flags</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Set of flags specifying the response type, data transfer direction and other parameters.<p>
For SDIO commands set at least one of the response types:<ul>
<li><a class="el" href="group__fdriver.html#ga25">SDD_CMD_FLAG_RESP_NONE</a></li><li><a class="el" href="group__fdriver.html#ga26">SDD_CMD_FLAG_RESP_R1</a></li><li><a class="el" href="group__fdriver.html#ga27">SDD_CMD_FLAG_RESP_R1B</a></li><li><a class="el" href="group__fdriver.html#ga28">SDD_CMD_FLAG_RESP_R2</a></li><li><a class="el" href="group__fdriver.html#ga29">SDD_CMD_FLAG_RESP_R3</a></li><li><a class="el" href="group__fdriver.html#ga30">SDD_CMD_FLAG_RESP_R4</a></li><li><a class="el" href="group__fdriver.html#ga31">SDD_CMD_FLAG_RESP_R5</a></li><li><a class="el" href="group__fdriver.html#ga32">SDD_CMD_FLAG_RESP_R5B</a></li><li><a class="el" href="group__fdriver.html#ga33">SDD_CMD_FLAG_RESP_R6</a></li></ul>
<p>
and any of the additional flags:<ul>
<li><a class="el" href="group__fdriver.html#ga36">SDD_CMD_FLAG_READ</a></li></ul>
<p>
For CSPI commands set:<ul>
<li><a class="el" href="group__fdriver.html#ga37">SDD_CMD_FLAG_CSPI</a> </li></ul>
    </td>
  </tr>
</table>
<a class="anchor" name="o6" doxytag="sdio_cmd::len" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> size_t <a class="el" href="structsdio__cmd.html#o6">sdio_cmd::len</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Length of <a class="el" href="structsdio__cmd.html#o5">data</a> in octets.<p>
len must be either: less than the device's <a class="el" href="structsdio__dev.html#o6">sdio_dev::blocksize</a>; or a multiple of the device's <a class="el" href="structsdio__dev.html#o6">sdio_dev::blocksize</a>.     </td>
  </tr>
</table>
<a class="anchor" name="o0" doxytag="sdio_cmd::owner" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> struct <a class="el" href="structsdio__dev.html">sdio_dev</a>* <a class="el" href="structsdio__cmd.html#o0">sdio_cmd::owner</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
The SDIO device which submitted the command. Set by the core.     </td>
  </tr>
</table>
<a class="anchor" name="o8" doxytag="sdio_cmd::priv" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> void* <a class="el" href="structsdio__cmd.html#o8">sdio_cmd::priv</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Data private to caller of <a class="el" href="group__fdriver.html#ga58">sdio_start_cmd()</a>.     </td>
  </tr>
</table>
<a class="anchor" name="o3" doxytag="sdio_cmd::sdio" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> struct <a class="el" href="structsdio__cmd__resp.html">sdio_cmd_resp</a> <a class="el" href="structsdio__cmd.html#o3">sdio_cmd::sdio</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
SDIO command parameters and response.<p>
Valid only if <a class="el" href="group__fdriver.html#ga37">SDD_CMD_FLAG_CSPI</a> is <em>not</em> set in <a class="el" href="structsdio__cmd.html#o2">flags</a>.     </td>
  </tr>
</table>
<a class="anchor" name="o7" doxytag="sdio_cmd::status" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> enum <a class="el" href="group__fdriver.html#ga39">sdio_cmd_status</a> <a class="el" href="structsdio__cmd.html#o7">sdio_cmd::status</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Status of the command after it has completed.     </td>
  </tr>
</table>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
